BLOG

Administrador
Publicado el: 9 - feb - 2016 Categorías: Android, Cordova, PhoneGap Build

Actualiza a la versión 4.1.1, o superior, de Cordova Android

Si tienes cuenta de desarrollador en Google Play, probablemente hayas recibido un correo electrónico avisándote de que estás usando una versión vulnerable de Apache Cordova.

Para evitar futuros contratiempos, migra tu aplicación, o aplicaciones, a Apache Cordova 4.1.1 o superior, tan pronto como sea posible, porque a partir del 9 de mayo, Google Play va a bloquear la publicación de nuevas aplicaciones, o actualizaciones, que utilicen versiones inferiores a la 4.1.1.

No obstante, si estás utilizando PhoneGap Build, no tendrás que actualizar la versión en local, ya que PhoneGap Build se actualiza automáticamente con las nuevas versiones de Cordova.

Si bien estas cuestiones específicas no afecten a todas las aplicaciones que utilizan Apache Cordova, lo mejor es mantenerse al corriente de todas las revisiones de seguridad.

Para más información, entra aquí.

13 Respuestas.

  1. Pier Pier dice:

    Hola como la migro si trabajo en local con cordova cli saludos

  2. johnbetancur johnbetancur dice:

    Como saber si mi App esta fuera de riesgo de bloqueo, compilo con PhoneGap Build, pero la alerta esta en mi consola de desarrollador, entonces no se si preocuparme y/o actualizar, solo que al actualizar a la versión 5.1.1 se generan un sinnúmero de situaciones erróneas y otras que no funcionan más…

    quien me pueda sacar de dudas se lo agradecería de antemano.

  3. juan oktal dice:

    hola, yo uso phonegap v0.2.1 ejecutable esta cual version trae?

  4. bguzman dice:

    Me ha llegado el mismo correo, y he actualizado con “update -g cordova” he ejecutado “cordova -v” y me muestra que tengo la version 6.0.0. ¿Es correcto todo lo anterior?

    Gracias y Saludos a todos!!

  5. enrique9292 dice:

    Hola por favor necesito ayuda yo trabajo con construct 2 y unity me podeis decir como actualizar el cordova en mi ordenador y como hago esto otro? CLI actualizar también el proyecto con cordova platform update android es urgente ayuda gracias de antemano

  6. enrique9292 dice:

    y como ago lo de actualizar la app Por favor es muy urgente

  7. enrique9292 dice:

    y otra cosa mas como hago yo utilizo el intel XDK para exportar y sacar el apk de las apps como ago para actualizar los plugins que uso y luego el ordenador en el que creo las apps es en el que tengo que actualizar apache o lo tengo que actualizar en el que las exporto??

  8. sbotta dice:

    JQUERY dejó de funcionar al compilar con la última versión de PGB (cli-6.3.0). No alteré para nada el código de mi app. Que funcionaba bien con la versión 3.6.3.

    Sólo debí actualizar los plugins org.apache.cordova a sus últimas versiones porque sino no compilaba.

    Ha cambiado algo en la forma de implementar JQuery ahora?

Deja tu comentario

Debes estarlogueado para comentar.

RT @addyosmani: So cool that @FirefoxDevTools shows inactive CSS and how to fix it. https://t.co/58GXmCPYCk06:17 AM Jan 22nd